Skip to main content
GET
/
candidate
/
{candidateid}
/
application
List applications for a candidate
curl --request GET \
  --url https://jobaffinity.fr/restapi/v1/candidate/{candidateid}/application \
  --header 'Authorization: Basic <encoded-value>'
{
  "_self": "<string>",
  "_schema": "<string>",
  "_status": "OK",
  "_next": "<string>",
  "items": [
    {
      "_self": "<string>",
      "_schema": "<string>",
      "_status": "OK",
      "id": 123,
      "date": "2023-11-07T05:31:56Z",
      "route": "<string>",
      "latest_cv_url": "<string>",
      "candidate": {
        "id": 123,
        "_self": "<string>",
        "applications": {
          "_self": "<string>"
        },
        "title": "MR",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "jsmith@example.com"
      },
      "source": {
        "id": 123,
        "name": "<string>",
        "posting_service": {
          "id": 123,
          "name": "<string>"
        }
      },
      "job": {
        "_self": "<string>",
        "id": 123,
        "title": "<string>",
        "status": "OPEN",
        "applications": {
          "_self": "<string>"
        }
      },
      "step": {
        "id": 123,
        "name": "<string>",
        "status": "START",
        "date": "2023-12-25"
      },
      "steps": {
        "items": [
          {
            "id": 123,
            "name": "<string>",
            "status": "START",
            "date": "2023-12-25",
            "user": {
              "id": 123,
              "first_name": "<string>",
              "last_name": "<string>",
              "email": "jsmith@example.com"
            }
          }
        ],
        "latest_cv_url": "<string>"
      },
      "notes": {
        "_self": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api.jobaffinity.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Path Parameters

candidateid
integer
required

Candidate ID

Query Parameters

limit
integer
default:20

Maximum number of items to return per page

Required range: 1 <= x <= 100
since
integer

Return items created or modified since this ID

Required range: x >= 0
step_name
string

Filter applications by the name of their current step. Valid step names can be found in the process field of the job details.

step_status
enum<string>

Filter applications by their current step status.

Available options:
START,
CURRENT,
END
step
integer

Filter applications by the id of their current step. Valid step ids can be found in the process field of the job details.

last_step_since
string<date>

Filter applications whose last step change occurred on or after this date (inclusive). ISO 8601 format: YYYY-MM-DD.

last_step_until
string<date>

Filter applications whose last step change occurred on or before this date (inclusive). ISO 8601 format: YYYY-MM-DD.

job_title
string

Filter applications by the job title.

job_status
enum<string>

Filter applications by the job status.

Available options:
OPEN,
CLOSED,
ARCHIVED

Response

Paginated list of applications

_self
string<uri>
_schema
string<uri>
_status
enum<string>
Available options:
OK,
INVALID
_next
string<uri> | null
items
object[]